Subject: External IPR Disclosures vs IPR disclosures in the document.

From: Michael StJohns <[email-masked]>
Date: Wed, 22 Jun 2011 11:11:33 -0400

A quick couple of questions to the list based on a document I saw recently.

If a document (an ID in this case) contains encumbered material (in this case consists of 90%+ encumbered material), and the document is authored by the organization (or members of the organization) that holds the encumbrance, should the document contain an IPR disclosure itself or is it sufficient to submit a IPR disclosure through the IETF web interface?  

Should the ID Nits tool check for the inclusion of the notices for IPR required by section 5.1 of RFC 3978?

If a document contains primarily encumbered material, is authored by the owner of the encumbered material or its employees and is a non-work group document, is it appropriate to tag such document as "Intended Status: Standards Track"? 

For the first question, RFC3979 appears to say no.  However, I'm not sure the specific case I cite was considered.

For the last question - my guess is that it depends - specifically on the grant of license for the encumbered material and whether or not there are alternatives.  Given that, would RAND terms be sufficient in any case to advance this as a standard?

Thanks - Mike

---

From: John C Klensin <[email-masked]>
Date: Wed, 22 Jun 2011 11:30:43 -0400

Mike,

Answer from a 10Km altitude perspective...

Our rules do not have dependencies on particular licensing
terms, whether RAND, free license, free without any notification
or specific license, defensive/reciprocal, or otherwise.   The
obligation of authors and companies is to disclose whatever it
is they need to disclose and, optionally whatever licensing
terms they feel they want to disclose along with it.  After
that, it is up to the WG and, ultimately, the community on Last
Call.   Absolutely nothing in the rules would prohibit us from
standardizing a technology that requires an expensive license,
negotiated on an individual basis and with no promises of fair
or equitable treatment for license applicants.  

In practice, I have doubts that any technology with those sorts
of restrictions would actually be standardized by the IETF
community, but there is no formal bar to trying (or to
identifying an I-D with an intended Standards-Track status).

  john

--On Wednesday, June 22, 2011 11:11 -0400 Michael StJohns
<[email-masked]> wrote:

> If a document (an ID in this case) contains encumbered
> material (in this case consists of 90%+ encumbered material),
> and the document is authored by the organization (or members
> of the organization) that holds the encumbrance, should the
> document contain an IPR disclosure itself or is it sufficient
> to submit a IPR disclosure through the IETF web interface?  
> 
> Should the ID Nits tool check for the inclusion of the notices
> for IPR required by section 5.1 of RFC 3978?
> 
> If a document contains primarily encumbered material, is
> authored by the owner of the encumbered material or its
> employees and is a non-work group document, is it appropriate
> to tag such document as "Intended Status: Standards Track"? 
> 
> For the first question, RFC3979 appears to say no.  However,
> I'm not sure the specific case I cite was considered.
> 
> For the last question - my guess is that it depends -
> specifically on the grant of license for the encumbered
> material and whether or not there are alternatives.  Given
> that, would RAND terms be sufficient in any case to advance
> this as a standard?
> 
> Thanks - Mike
> 
> 
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf

---

From: Scott Brim <[email-masked]>
Date: Wed, 22 Jun 2011 11:42:31 -0400

> If a document (an ID in this case) contains encumbered material (in this case consists of 90%+ encumbered material), and the document is authored by the organization (or members of the organization…

IPR statements are never put in RFCs unless on occasion they are
informational transplants from outside.  The IPR claims or other
aspects might change over time and the right place to track all that
is in the IPR disclosures.

> Should the ID Nits tool check for the inclusion of the notices for IPR required by section 5.1 of RFC 3978?

IMHO that would be good.

> If a document contains primarily encumbered material, is authored by the owner of the encumbered material or its employees and is a non-work group document, is it appropriate to tag such document a…

As John says, we don't have any rules about what IPR is acceptable,
and actual practice depends on the WG and the situation.  In one case
terms were accepted because the patents were to expire in 2-3 years.
RFC3669 is pretty old but might still be a useful read.

Scott

---

From: Michael StJohns <[email-masked]>
Date: Wed, 22 Jun 2011 15:56:10 -0400

>is in the IPR disclosures.

Hmm.. even though this was labeled like a normal run of the mill ID, it really was an informational transfer from the outside - at least at this point in the process.  I.e. - single corporate author, long held IPR as opposed to "here's something brand new and never seen before and while parts of it may derive from work from company A, this use of it is new and people from company B and C are figuring out new ways to work with it."

I think tracking disclosures via the IPR system is reasonable for most documents, but something like "This document consists primarily of intellectual property claimed to owned by xxxx.  Please consult the IETF disclosures section for the current terms and conditions for this IPR." may be useful.    It's pretty hard to tell from any given document whether or not consulting the IPR disclosures is useful or somewhat necessary.

Not a big problem, I guess, but somewhat dissonant to the process.

Mike

---

From: "Scott O. Bradner" <[email-masked]>
Date: Wed, 22 Jun 2011 16:04:39 -0400

see RFC 3979 section 4 A - a note like Mike asks for is called for

but the other Scott is also right - do not be specific - see section 11 of the same RFC

Scott

---

From: Michael StJohns <[email-masked]>
Date: Thu, 23 Jun 2011 06:16:43 -0400

Section 4A refers to RFCs.  I'm thinking that it should probably refer to any submission as soon as the IPR is known about.  RFC Editor enforces it for RFC's.  ID submission tool looks up the doc to see if there's an IPR disclosure for any of the previous versions and complains if there isn't an appropriate notice in the document. "An IPR disclosure has been made for this document or its predecessors.  Please see xxx for details."

Mike